Howto install and configure Remi Repository on Centos 6.3 Redhat RHEL

Howto install and configure Remi Repository on Centos 6.3 Redhat RHEL 

 

1. Download Remi Repository from http://rpms.famillecollet.com/enterprise/

Make sure you have to download the correct version for your Centos.

[root@localhost ~]# rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm
Retrieving http://rpms.famillecollet.com/enterprise/remi-release-6.rpm
warning: /var/tmp/rpm-tmp.3hAt3q: Header V3 DSA/SHA1 Signature, key ID 00f97f56: NOKEY
Preparing… ########################################### [100%]
1:remi-release ########################################### [100%]

2. Use Remi Repository to install software

[root@localhost ~]# yum –enablerepo=remi install httpd php php-common
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
* base: mirror-fpt-telecom.fpt.net
* epel: mirror-fpt-telecom.fpt.net
* extras: mirror-fpt-telecom.fpt.net
* remi: fr2.rpmfind.net
* rpmforge: mirror-fpt-telecom.fpt.net
* updates: mirror-fpt-telecom.fpt.net
remi | 2.9 kB 00:00
remi/primary_db | 490 kB 00:17
Setting up Install Process
Package httpd-2.2.15-15.el6.centos.1.x86_64 already installed and latest version
Resolving Dependencies
–> Running transaction check
—> Package php.x86_64 0:5.3.3-14.el6_3 will be updated
–> Processing Dependency: php = 5.3.3-14.el6_3 for package: php-devel-5.3.3-14.el6_3.x86_64
—> Package php.x86_64 0:5.4.12-1.el6.remi will be an update
–> Processing Dependency: php-cli(x86-64) = 5.4.12-1.el6.remi for package: php-5.4.12-1.el6.remi.x86_64
—> Package php-common.x86_64 0:5.3.3-14.el6_3 will be updated
–> Processing Dependency: php-common = 5.3.3-14.el6_3 for package: php-mbstring-5.3.3-14.el6_3.x86_64
–> Processing Dependency: php-common = 5.3.3-14.el6_3 for package: php-gd-5.3.3-14.el6_3.x86_64
–> Processing Dependency: php-common = 5.3.3-14.el6_3 for package: php-snmp-5.3.3-14.el6_3.x86_64
–> Processing Dependency: php-common = 5.3.3-14.el6_3 for package: php-pdo-5.3.3-14.el6_3.x86_64
–> Processing Dependency: php-common = 5.3.3-14.el6_3 for package: php-mysql-5.3.3-14.el6_3.x86_64
—> Package php-common.x86_64 0:5.4.12-1.el6.remi will be an update
–> Running transaction check
—> Package php-cli.x86_64 0:5.3.3-14.el6_3 will be updated
—> Package php-cli.x86_64 0:5.4.12-1.el6.remi will be an update
—> Package php-devel.x86_64 0:5.3.3-14.el6_3 will be updated
—> Package php-devel.x86_64 0:5.4.12-1.el6.remi will be an update
—> Package php-gd.x86_64 0:5.3.3-14.el6_3 will be updated
—> Package php-gd.x86_64 0:5.4.12-1.el6.remi will be an update
–> Processing Dependency: libt1.so.5()(64bit) for package: php-gd-5.4.12-1.el6.remi.x86_64
—> Package php-mbstring.x86_64 0:5.3.3-14.el6_3 will be updated
—> Package php-mbstring.x86_64 0:5.4.12-1.el6.remi will be an update
—> Package php-mysql.x86_64 0:5.3.3-14.el6_3 will be updated
—> Package php-mysql.x86_64 0:5.4.12-1.el6.remi will be an update
–> Processing Dependency: libmysqlclient.so.18(libmysqlclient_18)(64bit) for package: php-mysql-5.4.12-1.el6.remi.x86_64
–> Processing Dependency: libmysqlclient.so.18(libmysqlclient_16)(64bit) for package: php-mysql-5.4.12-1.el6.remi.x86_64
–> Processing Dependency: libmysqlclient.so.18()(64bit) for package: php-mysql-5.4.12-1.el6.remi.x86_64
—> Package php-pdo.x86_64 0:5.3.3-14.el6_3 will be updated
—> Package php-pdo.x86_64 0:5.4.12-1.el6.remi will be an update
—> Package php-snmp.x86_64 0:5.3.3-14.el6_3 will be updated
—> Package php-snmp.x86_64 0:5.4.12-1.el6.remi will be an update
–> Running transaction check
—> Package mysql-libs.x86_64 0:5.1.66-2.el6_3 will be updated
–> Processing Dependency: libmysqlclient.so.16()(64bit) for package: mysql-5.1.66-2.el6_3.x86_64
–> Processing Dependency: libmysqlclient.so.16()(64bit) for package: 2:postfix-2.6.6-2.2.el6_1.x86_64
–> Processing Dependency: libmysqlclient.so.16()(64bit) for package: mysql-server-5.1.66-2.el6_3.x86_64
–> Processing Dependency: libmysqlclient.so.16()(64bit) for package: perl-DBD-MySQL-4.013-3.el6.x86_64
–> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16)(64bit) for package: perl-DBD-MySQL-4.013-3.el6.x86_64
–> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16)(64bit) for package: 2:postfix-2.6.6-2.2.el6_1.x86_64
–> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16)(64bit) for package: mysql-server-5.1.66-2.el6_3.x86_64
–> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16)(64bit) for package: mysql-5.1.66-2.el6_3.x86_64
–> Processing Dependency: libmysqlclient_r.so.16()(64bit) for package: mysql-server-5.1.66-2.el6_3.x86_64
–> Processing Dependency: libmysqlclient_r.so.16()(64bit) for package: mysql-5.1.66-2.el6_3.x86_64
–> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16)(64bit) for package: mysql-server-5.1.66-2.el6_3.x86_64
–> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16)(64bit) for package: mysql-5.1.66-2.el6_3.x86_64
–> Processing Dependency: mysql-libs = 5.1.66-2.el6_3 for package: mysql-5.1.66-2.el6_3.x86_64
—> Package mysql-libs.x86_64 0:5.5.30-1.el6.remi will be an update
—> Package t1lib.x86_64 0:5.1.2-6.el6_2.1 will be installed
–> Running transaction check
—> Package compat-mysql51.x86_64 0:5.1.54-1.el6.remi will be installed
—> Package mysql.x86_64 0:5.1.66-2.el6_3 will be updated
—> Package mysql.x86_64 0:5.5.30-1.el6.remi will be an update
—> Package mysql-server.x86_64 0:5.1.66-2.el6_3 will be updated
—> Package mysql-server.x86_64 0:5.5.30-1.el6.remi will be an update
–> Finished Dependency ResolutionDependencies Resolved=====================================================================================================================================================================================================
Package Arch Version Repository Size
=====================================================================================================================================================================================================
Updating:
php x86_64 5.4.12-1.el6.remi remi 2.7 M
php-common x86_64 5.4.12-1.el6.remi remi 891 k
Installing for dependencies:
compat-mysql51 x86_64 5.1.54-1.el6.remi remi 1.4 M
t1lib x86_64 5.1.2-6.el6_2.1 base 160 k
Updating for dependencies:
mysql x86_64 5.5.30-1.el6.remi remi 5.7 M
mysql-libs x86_64 5.5.30-1.el6.remi remi 773 k
mysql-server x86_64 5.5.30-1.el6.remi remi 10 M
php-cli x86_64 5.4.12-1.el6.remi remi 2.6 M
php-devel x86_64 5.4.12-1.el6.remi remi 2.5 M
php-gd x86_64 5.4.12-1.el6.remi remi 140 k
php-mbstring x86_64 5.4.12-1.el6.remi remi 942 k
php-mysql x86_64 5.4.12-1.el6.remi remi 134 k
php-pdo x86_64 5.4.12-1.el6.remi remi 117 k
php-snmp x86_64 5.4.12-1.el6.remi remi 55 kTransaction Summary
=====================================================================================================================================================================================================
Install 2 Package(s)
Upgrade 12 Package(s)

Total download size: 28 M
Is this ok [y/N]:y

Downloading Packages:
(1/14): compat-mysql51-5.1.54-1.el6.remi.x86_64.rpm | 1.4 MB 01:09
(2/14): mysql-5.5.30-1.el6.remi.x86_64.rpm | 5.7 MB 05:00
(3/14): mysql-libs-5.5.30-1.el6.remi.x86_64.rpm | 773 kB 00:39
(4/14): mysql-server-5.5.30-1.el6.remi.x86_64.rpm | 10 MB 08:21
(5/14): php-5.4.12-1.el6.remi.x86_64.rpm | 2.7 MB 01:57
(6/14): php-cli-5.4.12-1.el6.remi.x86_64.rpm | 2.6 MB 01:59
(7/14): php-common-5.4.12-1.el6.remi.x86_64.rpm | 891 kB 00:27
(8/14): php-devel-5.4.12-1.el6.remi.x86_64.rpm | 2.5 MB 02:14
(9/14): php-gd-5.4.12-1.el6.remi.x86_64.rpm | 140 kB 00:02
(10/14): php-mbstring-5.4.12-1.el6.remi.x86_64.rpm | 942 kB 00:38
(11/14): php-mysql-5.4.12-1.el6.remi.x86_64.rpm | 134 kB 00:02
(12/14): php-pdo-5.4.12-1.el6.remi.x86_64.rpm | 117 kB 00:04
(13/14): php-snmp-5.4.12-1.el6.remi.x86_64.rpm | 55 kB 00:03
(14/14): t1lib-5.1.2-6.el6_2.1.x86_64.rpm | 160 kB 00:01
—————————————————————————————————————————————————————————————————–
Total 21 kB/s | 28 MB 22:50
warning: rpmts_HdrFromFdno: Header V3 DSA/SHA1 Signature, key ID 00f97f56: NOKEY
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Importing GPG key 0x00F97F56:
Userid : Remi Collet <RPMS@FamilleCollet.com>
Package: remi-release-6-2.el6.remi.noarch (installed)
From : /etc/pki/rpm-gpg/RPM-GPG-KEY-remi
Is this ok [y/N]: y
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
Updating : php-common-5.4.12-1.el6.remi.x86_64 1/26

WARNING : These php-* RPM are not official Fedora/Redhat build and
overrides the official ones. Don’t file bugs on Fedora Project nor Redhat.

Use dedicated forums http://forums.famillecollet.com/

Updating : mysql-libs-5.5.30-1.el6.remi.x86_64 2/26

WARNING : This MySQL RPM is not an official Fedora / Red Hat build and it
overrides the official one. Don’t file bugs on Fedora Project nor Red Hat.
Use dedicated forums http://forums.famillecollet.com/

Updating : php-cli-5.4.12-1.el6.remi.x86_64 3/26
Updating : mysql-5.5.30-1.el6.remi.x86_64 4/26
Updating : php-pdo-5.4.12-1.el6.remi.x86_64 5/26
Installing : t1lib-5.1.2-6.el6_2.1.x86_64 6/26
Updating : php-gd-5.4.12-1.el6.remi.x86_64 7/26
Updating : php-mysql-5.4.12-1.el6.remi.x86_64 8/26
Updating : mysql-server-5.5.30-1.el6.remi.x86_64 9/26
Updating : php-5.4.12-1.el6.remi.x86_64 10/26
Updating : php-devel-5.4.12-1.el6.remi.x86_64 11/26
Updating : php-mbstring-5.4.12-1.el6.remi.x86_64 12/26
Updating : php-snmp-5.4.12-1.el6.remi.x86_64 13/26
Installing : compat-mysql51-5.1.54-1.el6.remi.x86_64 14/26
Cleanup : php-mysql-5.3.3-14.el6_3.x86_64 15/26
Cleanup : mysql-server-5.1.66-2.el6_3.x86_64 16/26
Cleanup : php-devel-5.3.3-14.el6_3.x86_64 17/26
Cleanup : php-5.3.3-14.el6_3.x86_64 18/26
Cleanup : php-cli-5.3.3-14.el6_3.x86_64 19/26
Cleanup : mysql-5.1.66-2.el6_3.x86_64 20/26
Cleanup : php-pdo-5.3.3-14.el6_3.x86_64 21/26
Cleanup : php-gd-5.3.3-14.el6_3.x86_64 22/26
Cleanup : php-snmp-5.3.3-14.el6_3.x86_64 23/26
Cleanup : php-mbstring-5.3.3-14.el6_3.x86_64 24/26
Cleanup : php-common-5.3.3-14.el6_3.x86_64 25/26
Cleanup : mysql-libs-5.1.66-2.el6_3.x86_64 26/26
Verifying : php-mbstring-5.4.12-1.el6.remi.x86_64 1/26
Verifying : php-5.4.12-1.el6.remi.x86_64 2/26
Verifying : mysql-server-5.5.30-1.el6.remi.x86_64 3/26
Verifying : compat-mysql51-5.1.54-1.el6.remi.x86_64 4/26
Verifying : t1lib-5.1.2-6.el6_2.1.x86_64 5/26
Verifying : php-common-5.4.12-1.el6.remi.x86_64 6/26
Verifying : php-mysql-5.4.12-1.el6.remi.x86_64 7/26
Verifying : php-cli-5.4.12-1.el6.remi.x86_64 8/26
Verifying : mysql-libs-5.5.30-1.el6.remi.x86_64 9/26
Verifying : php-devel-5.4.12-1.el6.remi.x86_64 10/26
Verifying : php-snmp-5.4.12-1.el6.remi.x86_64 11/26
Verifying : php-pdo-5.4.12-1.el6.remi.x86_64 12/26
Verifying : mysql-5.5.30-1.el6.remi.x86_64 13/26
Verifying : php-gd-5.4.12-1.el6.remi.x86_64 14/26
Verifying : php-common-5.3.3-14.el6_3.x86_64 15/26
Verifying : mysql-5.1.66-2.el6_3.x86_64 16/26
Verifying : php-gd-5.3.3-14.el6_3.x86_64 17/26
Verifying : php-snmp-5.3.3-14.el6_3.x86_64 18/26
Verifying : php-cli-5.3.3-14.el6_3.x86_64 19/26
Verifying : mysql-server-5.1.66-2.el6_3.x86_64 20/26
Verifying : php-5.3.3-14.el6_3.x86_64 21/26
Verifying : php-pdo-5.3.3-14.el6_3.x86_64 22/26
Verifying : php-devel-5.3.3-14.el6_3.x86_64 23/26
Verifying : mysql-libs-5.1.66-2.el6_3.x86_64 24/26
Verifying : php-mysql-5.3.3-14.el6_3.x86_64 25/26
Verifying : php-mbstring-5.3.3-14.el6_3.x86_64 26/26

Dependency Installed:
compat-mysql51.x86_64 0:5.1.54-1.el6.remi t1lib.x86_64 0:5.1.2-6.el6_2.1

Updated:
php.x86_64 0:5.4.12-1.el6.remi php-common.x86_64 0:5.4.12-1.el6.remi

Dependency Updated:
mysql.x86_64 0:5.5.30-1.el6.remi mysql-libs.x86_64 0:5.5.30-1.el6.remi mysql-server.x86_64 0:5.5.30-1.el6.remi php-cli.x86_64 0:5.4.12-1.el6.remi php-devel.x86_64 0:5.4.12-1.el6.remi
php-gd.x86_64 0:5.4.12-1.el6.remi php-mbstring.x86_64 0:5.4.12-1.el6.remi php-mysql.x86_64 0:5.4.12-1.el6.remi php-pdo.x86_64 0:5.4.12-1.el6.remi php-snmp.x86_64 0:5.4.12-1.el6.remi

Complete!
[root@localhost ~]#

That’s all. Thanks for using IThelpblog.com.

 

Leave a reply

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>